package info.textgrid.services.aggregator;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URLConnection;

import org.junit.Assert;
import org.junit.Test;

public class EpubIT extends AbstractIntegrationTest {

	@Test
	public void testGet() throws MalformedURLException, IOException {
		
		final URLConnection connection = createRequest("/epub/textgrid:jfst.0");
		connection.connect();
		Assert.assertEquals("application/epub+zip", connection.getContentType());
		final long realLength = readContents(connection);
		Assert.assertTrue("Content empty", realLength > 0);
	}

}
