package info.textgrid.services.aggregator.html;

import info.textgrid.services.aggregator.AbstractIntegrationTest;

import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;

import org.junit.Assert;
import org.junit.Test;

public class HtmlAT extends AbstractIntegrationTest {

	@Test
	public void testSimpleGet() throws MalformedURLException, IOException {
		final HttpURLConnection connection = createRequest("/html/textgrid:1zzbt.0?sid="
				+ System.getProperty("sid"));
		connection.connect();
		Assert.assertEquals(200, connection.getResponseCode());
		Assert.assertEquals("text/html", connection.getContentType());
		Assert.assertTrue("Content length > 0", readContents(connection) > 0);
	}
}
