package info.textgrid.services.aggregator.html;

import info.textgrid.services.aggregator.AbstractIntegrationTest;

import java.io.IOException;
import java.net.HttpURLConnection;

import org.junit.Assert;
import org.junit.Test;


public class HtmlIT extends AbstractIntegrationTest {

	@Test
	public void testGet() throws IOException {
		final HttpURLConnection connection = createRequest("/html/textgrid:jfst.0");
		connection.connect();
		Assert.assertEquals(200, connection.getResponseCode());
		Assert.assertEquals("text/html", connection.getContentType());
		Assert.assertTrue("Content length > 0", readContents(connection) > 0);
	}


}
